<?php
include_once "conecta.php";


/*** CACTUS TECNOLOGIA *************************************************************************\
*
* GERA O PREÇO DE VENDA DOS PRODUTOS A PARTIR DAS MARGENS CADASTRADAS NAS CATEGORIAS
*
\***********************************************************************************************/

	if($_GET[c]){
		$sql=query("SELECT * FROM categoria WHERE cate_nb_id = '".intval($_GET[c])."'");
		while( $a = mysql_fetch_array($sql) ) {

			$sql_produto = selecionar('produto','prod_nb_categoria,prod_tx_status',"$a[cate_nb_id],ativo");
			while( $a_produto = carrega_array($sql_produto) ) {
				
				
				$venda = $a_produto[prod_tx_valorCusto] * (1+($a[cate_tx_margem]/100));
				$venda = valor(mostra_valor($venda));

				if( $venda == $a_produto[prod_tx_valorCusto] )
					$venda='0';

				// echo ++$j." -> $a[cate_tx_nome] -> $a_produto[prod_tx_nome] -> $venda<br>";
			
				query("UPDATE produto SET prod_tx_valorVenda='$venda',prod_tx_margem='$a[cate_tx_margem]',prod_tx_descontoMaximo='$a[cate_tx_desconto]' WHERE prod_nb_id=$a_produto[prod_nb_id]");
				
			}
				
		}
	}

	// echo"!OK1";

?>